//
//  CalendarViewController.m
//  Gensys iOS Universal
//
//  Created by Daan Vermeulen on 19/10/15.
//  Copyright © 2015 SPS Gensys B.V. All rights reserved.
//

#import "ViewController.h"
#import <IG/IG.h>

@interface ViewController ()<IGCalendarAppointmentDataSource, IGCalendarViewDelegate>
{
    NSMutableArray* months, *_appts, *_dataSources;
    IGCalendarView* _calendar;
    id<IGCalendarThemeDefinition> _theme;
}
@end

@implementation ViewController


- (void)viewDidLoad {
    [super viewDidLoad];
    months = [[NSMutableArray alloc] init];
   
    _calendar = [[IGCalendarView alloc] initWithFrame: self.view.bounds];
    _calendar.theme = _theme = [[IGCalendarTheme1 alloc]init];
    _calendar.autoresizingMask = UIViewAutoresizingFlexibleHeight | UIViewAutoresizingFlexibleWidth;
    
    _appts = [[NSMutableArray alloc] init];
  
    _dataSources = [[NSMutableArray alloc]init];
    [_dataSources addObject:self];
    
    
    [self.view addSubview:_calendar];
    _calendar.delegate = self;
    
    _calendar.appointmentDataSources = _dataSources;
    
    [_calendar navigateToDate:[NSDate date] forType:IGCalendarViewDisplayTypeWeek];
}



- (UIColor *)colorForAppointmentsInIGCalendarView:(IGCalendarView *)calView
{
    return [UIColor redColor];
}


-(void)calendarView:(IGCalendarView *)calView asyncAppointmentRequest:(IGCalendarAppointmentRequest *)request ofType:(IGCalendarAppointmentRequestType)requestType
{
    NSLog(@"Request Made: %@ - %@" , request.start, request.end);
}


@end
